## GcalTimeSelector GcalTimeSelector |

## Functions

GtkWidget * | gcal_time_selector_new ()
void | gcal_time_selector_set_time_format ()
GDateTime * | gcal_time_selector_get_time ()
void | gcal_time_selector_set_time ()

## Properties

GDateTime * | time | Read / Write

## Types and Values

#define | GCAL_TYPE_TIME_SELECTOR
| GcalTimeSelector

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkButton
                            ╰── GtkToggleButton
                                ╰── GtkMenuButton
                                    ╰── GcalTimeSelector

## Implemented Interfaces

GcalTimeSelector implements AtkImplementorIface, GtkBuildable, GtkActionable and GtkActivatable.

## Description

## Functions

### gcal_time_selector_new ()

    GtkWidget *
    gcal_time_selector_new (void);

### gcal_time_selector_set_time_format ()

    void
    gcal_time_selector_set_time_format (GcalTimeSelector *selector,
                                        gboolean format_24h);

### gcal_time_selector_get_time ()

    GDateTime *
    gcal_time_selector_get_time (GcalTimeSelector *selector);

### gcal_time_selector_set_time ()

    void
    gcal_time_selector_set_time (GcalTimeSelector *selector,
                                 GDateTime *time);

## Types and Values

### GCAL_TYPE_TIME_SELECTOR

    #define GCAL_TYPE_TIME_SELECTOR             (gcal_time_selector_get_type ())

### GcalTimeSelector

    typedef struct _GcalTimeSelector GcalTimeSelector;

## Property Details

### The `“time”` property

      “time”                     GDateTime *

The current time of the selector.

Flags: Read / Write